<?php

namespace Drupal\document_version;

use Drupal\Core\Entity\EntityListBuilder;
use Drupal\views\Views;

/**
 * Defines a class to build a listing of Document entity entities.
 *
 * @ingroup document_version
 */
class DocumentEntityListBuilder extends EntityListBuilder {
  
  public function render() {
   $view = Views::getView('document_group');
    if (is_object($view)) {
      $view->setDisplay('default');
      $view->preExecute();
      $view->execute();
      $output = $view->buildRenderable();
      return $output;
    }
  }
  
}
